ユーザー公開プロフィール取得
ユーザー公開プロフィール取得.
APIリファレンスに戻る
/Twitter User About Endpoints
GET
/twitter/{screen_name}/aboutAPI 認証
AuthorizationBearer token · header必須TwexAPIのグローバル認証トークン (Bearer Token)。ヘッダーに含める必要があります:Authorization: Bearer <YOUR_TWEXAPI_KEY>。
パスパラメータ
screen_namestring必須Twitterユーザー名(Handle、@なし)
レスポンス
200The Twitter User About object with its information.
codeintegerHTTP ステータスコード(200 は成功)
default: 200
msgstringレスポンスメッセージ(例: 'success')
default: "success"
dataTwitterUserAboutResponse | any返却されるコアデータオブジェクトまたは配列
プロパティを表示プロパティを非表示
Any of:
TwitterUserAboutResponse
user_idstring必須対象ユーザーのTwitter数字ID
avatarstring必須Profile avatar image URL
namestring必須ユーザー表示名
screen_namestring必須Twitterユーザー名(Handle、@なし)
created_atstring必須作成日時(UTC標準時)
profile_image_shapestring必須Profile image shape (e.g., Circle, Square)
verificationboolean必須Whether the user account is verified
userLabelDisplayTypestring必須User label display type (e.g., Badge)
userLabelTypestring必須User label type (e.g., BusinessLabel)
is_blue_verifiedboolean必須Whether the user has blue verification badge (Twitter Blue/X Premium)
privacy_policy_urlstring必須Privacy policy or learn more URL
account_based_instring必須Country or region where the account is based
location_accurateboolean必須Whether the location information is accurate
affiliate_usernamestring必須Affiliated username (e.g., business account username)
sourcestring必須Source of account creation (e.g., 'United States App Store')
username_changes_countinteger必須Number of times the username has been changed
override_verified_yearinteger必須Override verified year (if applicable, negative values indicate special cases)
verified_since_msecinteger必須Timestamp in milliseconds when the account was verified (negative values indicate special cases)
any
any422パラメータバリデーションエラー
detailValidationError[]プロパティを表示プロパティを非表示
Array of
ValidationErrorlocstring | integer[]必須プロパティを表示プロパティを非表示
Array of
string | integerAny of:
string
stringinteger
integermsgstring必須レスポンスメッセージ(例: 'success')
typestring必須inputanyctxobject⚡インタラクティブテストGET
⚡インタラクティブテスト / Try APIGETLive Console
🌐対象サーバー:
https://api.twexapi.io● 本番環境レディ
🔍
公開データ取得(TwexAPIキーのみ、Twitter Cookie不要)
本エンドポイントは公開Twitterデータの検索・取得用です。TwitterアカウントやCookieは一切不要です!下記の「API認証」に TwexAPIプラットフォームキー (Bearer Token) を入力するだけで即座にテストできます。
🔑API 認証
⚙️リクエストパラメータ (1)
📡
暂无响应数据
请在「请求配置」中确认参数后,点击底部的「发送请求」按钮。
リクエスト例
curl -X GET "https://api.twexapi.io/twitter/e/about" \
-H "Authorization: Bearer YOUR_TOKEN"const response = await fetch("https://api.twexapi.io/twitter/e/about", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
}
});import requests
response = requests.get(
"https://api.twexapi.io/twitter/e/about",
headers={
"Authorization": "Bearer YOUR_TOKEN"
},
)レスポンス例
{
"code": 200,
"msg": "success",
"data": {
"user_id": "44196397",
"avatar": "https://pbs.twimg.com/profile_images/1983681414370619392/oTT3nm5Z_normal.jpg",
"name": "Elon Musk",
"screen_name": "elonmusk",
"created_at": "Tue Jun 02 20:12:29 +0000 2009",
"profile_image_shape": "Circle",
"verification": false,
"userLabelDisplayType": "Badge",
"userLabelType": "BusinessLabel",
"is_blue_verified": true,
"privacy_policy_url": "https://help.twitter.com/managing-your-account/about-twitter-verified-accounts",
"account_based_in": "United States",
"location_accurate": true,
"affiliate_username": "X",
"source": "United States App Store",
"username_changes_count": 0,
"override_verified_year": -3000,
"verified_since_msec": -156836000000000
}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}